
* Program..: JOHN.PRG
* Author...: JOHN MENDES
* Date.....: 01/26/95
* Notice...: Copyright (c) 1995, JOHN MENDES, All Rights Reserved
* Notes....: 
* Reserved.: selectnum
*
* LIST.PRG 
* Print VIETNAM MEMORIAL database listing

clear all
clear

set confirm on
set deleted on
set procedure to proc1

public yn1,options1,reply1
store ' ' to yn1,options1,reply1,reply3


store space(20) to ln1
store space(30) to fni1
store space(2) to bran1
store space(4) to rank1
store space(10) to cdob1
store space(10) to docas1 
store space(1) to stat1 
store space(20) to hcit1 
store space(2) to hstat1 
store space(1) to sort1
store 0 to reply2,rec1,flag2,start1,end1

@ 0, 0 say 'JOHN MENDES SYSTEM'
@ 1, 0 say 'VIETNAM MEMORIAL DATABASE LISTING'
@ 3, 0 say 'C)ontinue or E)nd: '
@ 5, 0 say 'Is this a Print Restart (Y/N): '
@ 7, 0 say 'S)creen or P)rinter: '
@ 9, 0 say 'R)ecord# Sort   or   A)lphabetical Sort:'
@11, 0 say 'Starting Record#:        Ending Record#:'


@ 3,19 get reply1 picture '!'
read
@ 3,19 say reply1 picture '!'

if upper(reply1)='E'
   on key
   clear all
   clear
   return
endif

if upper(reply1)<>'C'
   loop
endif

store space(1) to reply1

do while reply1<>'Y' .and. reply1<>'N'
   store space(1) to reply1
   @ 5,31 get reply1 picture '!'
   read
   @ 5,31 say reply1 picture '!'
enddo

if upper(reply1)='Y'
   use prnut1
   goto top
   store sort to sort1
   use

   if sort1='R'
      close procedure
      set procedure to proc2
      do restart2
      close procedure
      set procedure to proc1
      clear all
      clear
      return
   else
      close procedure
      set procedure to proc2
      do restart1
      close procedure
      set procedure to proc1
      clear all
      clear
      return
   endif
endif

do while reply1<>'S' .and. reply1<>'P'
   store space(1) to reply1
   @ 7,22 get reply1 picture '!'
   read
   @ 7,22 say reply1 picture '!'
enddo

do while reply3<>'R' .and. reply3<>'A'
   store space(1) to reply3

   @ 9,42 get reply3 picture '!'
   read
   @ 9,42 say reply3 picture '!'
enddo

if reply3='R' .and. reply1='P'
   select a
   use NAM index N2
   select b
   use prnut1 index prnut11
   set safety off
   zap
   set safety on
   append blank
   replace page with 1
   replace sort with 'R'
endif

if reply3='R' .and. reply1='S'
   select a
   use NAM index N2
   select b
   use prnut1 index prnut11
   set safety off
   zap
   set safety on
   append blank
   replace page with 1
   replace sort with 'R'
endif

if reply3='A' .and. reply1='P'
   select a
   use NAM index N3
   store recnum to rec1
   select b
   use prnut1 index prnut11
   set safety off
   zap
   set safety on
   append blank
   replace page with 1
   replace recnum with rec1
   replace sort with 'A'
endif

if reply3='A' .and. reply1='S'
   select a
   use NAM index N3
   store recnum to rec1
   select b
   use prnut1 index prnut11
   set safety off
   zap
   set safety on
   append blank
   replace page with 1
   replace recnum with rec1
   replace sort with 'A'
endif

if reply3='R'
   @11,18 get start1 picture '99999'
   read
   @11,18 say start1 picture '99999'

   @11,41 get end1 picture '99999'
   read
   @11,41 say end1 picture '99999'

   select b
   replace end with end1

   select a
   seek start1

   if eof()
      @24, 2 say '<-- ERROR IN FINDING RECORD. PRESS <CR> TO CONTINUE.'
      do message
      clear all
      clear
      return
   endif

   select b
   replace recnum with start1
endif

?
?


if upper(reply1)='P'
   @14, 5 say 'MAKE SURE PRINTER IS READY. HIT SPACE BAR TO STOP PRINTING.'
   @24, 2 say '<-- HIT <CR> WHEN READY TO START PRINTING.'
   do message
   @24, 0 clear
   set print on
endif

store date() to date1
store 7 to lc
store 1 to page1

select a

?
?
? date1,'                                                           Page:',str(page1,2)
? '               VIETNAM MEMORIAL CONTRACT DATABASE LISTING'
?
?

if reply3='R'
   do while recnum<=end1
      store recnum to rec1 
      store ln to ln1
      store fni to fni1
      store bran to bran1
      store rank to rank1
      store cdob to cdob1
      store docas to docas1 
      store stat to stat1 
      store hcit to hcit1 
      store hstat to hstat1 

      on key do abort1

      if flag2=1
         flag2=0
         clear all
         clear
         on key
         return
      endif

      ? '#',str(rec1,5)
      ? '-----------------------------------------------------------------------------'
      ? '        NAME                                                                 '
      ? '-----------------------------------------------------------------------------'
      ? '      ',LN1+',',FNI1
      ? ' ',CDOB1
      ? ' ',BRAN1
      ? ' ',RANK1
      ? ' ',DOCAS1
      ? ' ',HCIT1
      ? ' ',HSTAT1
      ? ' ',STAT1
      ? '-----------------------------------------------------------------------------'

      store lc+3 to lc

      if lc>55
         store 7 to lc
         store page1+1 to page1
         store page1 to page2
         skip
         store recnum to rec1

*         if reply1='P'
            select b
            append blank
            replace page with page2
            replace recnum with rec1
*         endif

         select a
         skip -1

         ? chr(12)
         ?
         ?
         ? date1,'                                                           Page:',str(page1,2)
         ? '      VIETNAM MEMORIAL DATABASE LISTING'
         ?
         ?
      endif

      skip

      if eof()
         exit
      endif
   enddo
endif

if reply3='A'
   goto top
   do while .not. eof()
      store recnum to rec1
      store ln to ln1
      store fni to fni1
      store bran to bran1
      store rank to rank1
      store cdob to cdob1
      store docas to docas1 
      store stat to stat1 
      store hcit to hcit1 
      store hstat to hstat1 

      on key do abort1

      if flag2=1
         flag2=0
         clear all
         clear
         on key
         return
      endif

      ? '#',str(rec1,5)
      ? '-----------------------------------------------------------------------------'
      ? '        NAME                                                                 '
      ? '-----------------------------------------------------------------------------'
      ? '      ',LN1+',',FNI1
      ? ' ',CDOB1
      ? ' ',BRAN1
      ? ' ',RANK1
      ? ' ',DOCAS1
      ? ' ',HCIT1
      ? ' ',HSTAT1
      ? ' ',STAT1
      ? '-----------------------------------------------------------------------------'

      store lc+3 to lc

      if lc>55
         store 7 to lc
         store page1+1 to page1
         store page1 to page2
         skip
         store recnum to rec1
         store LN to name1

*         if reply1='P'
            select b
            append blank
            replace page with page2
            replace recnum with rec1
            replace name with name1
*         endif

         select a
         skip -1

         ? chr(12)
         ?
         ?
         ? date1,'                                                           Page:',str(page1,2)
         ? '      VIETNAM MEMORIAL DATABASE LISTING'
         ?
         ?
      endif

      skip

      if eof()
         exit
      endif
   enddo
endif

? chr(12)

if upper(reply1)='P'
   set print off
endif

?
?

@24, 2 say '<-- END OF LISTING. PRESS <CR> TO CONTINUE.'
do message
@24, 0 clear

return
